**Kin Ecosystem SDK License**

**Last Updated:** March 11, 2019

The following Kin Ecosystem SDK License (the "**SDK License**") govern
your access to and use of our software development kits and related
documentation, source code, software and services (collectively, the
"**Software**") designed to provide functionality that support
interactions with the blockchain-based Kin ecosystem stewarded by the
Kin Foundation ("**Kin Foundation**", "**us**", "**we**", "**our**", and
such ecosystem, the "**Kin Ecosystem**"), including facilitating
transactions based on the native cryptocurrency of the Kin Ecosystem
known as 'Kin' ("**Kin**"). This SDK License forms an agreement between
the Kin Foundation and you. The term "**you**" refers to the person or
entity accessing or otherwise using the Software ("**use**" or
"**using**" in this SDK License will mean any of the foregoing).

**BY ACCESS OR USING THE SOFTWARE, YOU: (A) REPRESENT AND WARRANT THAT
YOU HAVE REACHED THE AGE OF MAJORITY IN YOUR JURISDICTION AND HAVE THE
CAPACITY TO ENTER INTO BINDING OBLIGATIONS; AND (B) AGREE TO BE BOUND BY
AND COMPLY WITH THIS SDK LICENSE, AS UPDATED FROM TIME TO TIME IN
ACCORDANCE WITH SECTION** **1. IF YOU ARE USING THE SOFTWARE ON BEHALF
OF ANOTHER PERSON OR ENTITY, YOU REPRESENT AND WARRANT THAT YOU HAVE THE
AUTHORITY TO BIND SUCH PERSON OR ENTITY TO THIS SDK LICENSE.**

1.  **Changes to this SDK License**

    Except where prohibited by applicable law, we reserve the right to
    change this SDK License at any time without notice. You acknowledge
    and agree that we may update this SDK License at any time by posting
    an updated version located at: https://github.com/kinecosystem. Your
    continued access to or use of the Software after any changes to this
    SDK License indicates your acceptance of such changes. It is your
    responsibility to check for updates from time to time.

2.  **SDK License; the Kin Foundation Developer Guidelines**

    1.  Subject to this SDK License, we grant you a worldwide,
        non-exclusive, non-transferrable, non-sublicensable and revocable
        license during the Term to use the SDK License to develop
        applications ("**Applications**") in compliance with our guidelines
        governing any applications you develop (such guidelines, the "**Kin
        Foundation Developer Guidelines**"), as updated from time-to-time,
        the current version of which is located at: https://www.kin.org/developers/guidelines.pdf.

    2.  You acknowledge and agree you are solely responsible for your
        Applications, including for all support, maintenance, deployment,
        and marketing.

3.  **Contributions to the Software**

    You acknowledge and agree that any contributions made by you to the
    Software and submitted to us (including as a 'Pull Request' on
    GitHub), including any modifications, enhancements, adaptations,
    translations you make to the Software and submitted to us will be
    subject to our standard contribution terms set out in Appendix A
    (Software Contribution Terms).

4.  **Data You Upload To Us**

    You grant to us an irrevocable, worldwide, non-exclusive, royalty-free,
    fully paid-up, transferable and sublicensable license during the Term to
    access, collect, store and use any data, information, records and files
    that: (a) you load or transmit through use of the Software; or (b) that
    we collect from your usage of the Software ((a) and (b), collectively,
    the "**User Data**"), to: (i) develop, enhance and make available the
    Software; and (ii) to produce data, information or other materials that
    are not identified as relating to a particular individual or company
    (such data, information and materials, the "**Aggregated Statistical
    Information**").

5.  **Ownership**

    All rights, title and interest, including intellectual property rights,
    in the Software, Aggregated Statistical Information and all other
    materials provided by us hereunder, and any update, adaptation,
    translation, customization or derivative work thereof, will remain with
    us (or our third party suppliers, if applicable). The Software and all
    materials provided by us hereunder are licensed and not "sold" to you.
    All rights not expressly granted to you in this SDK License are
    reserved.

6.  **No Unlawful or Prohibited Use**

    Without limiting the generality of the foregoing, you will not (and will
    not attempt to), as applicable:

    1.  disable, overly burden, impair, or otherwise interfere with servers
        or networks accessible by the Software (e.g., a denial of service
        attack), including the Kin Ecosystem;

    2.  except for any components of the Software made available by us to
        you that comprises of source code, use any data mining, robots, or
        similar data gathering or extraction methods, or copy, modify,
        reverse engineer, reverse assemble, disassemble, or decompile the
        Software or any part thereof or otherwise attempt to discover any
        source code;

    3.  use the Software for the purpose of building a similar or
        competitive product or service; and

    4.  use the Software other than as permitted by this SDK License,
        including the Kin Ecosystem Developer Guidelines.

7. **Privacy**

    Our privacy policy, which contains important information about our
    practices in collecting, storing, using and disclosing information
    about identifiable individuals ("**Personal Information**"), can be
    found here: https://www.kin.org/privacy-policy.pdf. You acknowledge that you have
    read and understand our Privacy Policy, and agree that we may
    collect, store, use and disclose Personal Information made available
    by you in accordance with our Privacy Policy.

8. **Kin Rewards Engine**

    You may receive Kin from us in connection with your development and
    deployment of Applications, including through our rewards engine known
    as the 'Kin Rewards Engine' ("**Kin Rewards Engine**" or "**KRE**").
    Accordingly, you acknowledge and agree that:

    1.  You are responsible for all taxes imposed on you, including
        determining whether taxes apply to your receipt of Kin, and for
        collecting, reporting, withholding, or remitting any taxes arising
        from the receipt and use of the awards provided pursuant to the Kin
        Rewards Engine in the jurisdiction where you reside or that is
        applicable to you.

    2.  The Kin Foundation is not responsible for determining whether taxes
        apply to your Kin transactions, or for collecting, reporting,
        withholding, or remitting any taxes arising from any Kin
        transactions. In the event withholding taxes are required under
        applicable law, Kin Foundation will be entitled to withhold and
        deduct the amounts required to be withheld from any amounts payable
        hereunder. If required by applicable law, the value of Kin provided
        to you, including through KRE, may be reported for tax purposes. If
        required by, you will be required to fill in additional forms in
        order to receive your award.

    3.  Any awards received from the KRE will be deemed to include all
        applicable taxes (including withholding taxes and customs duties)
        howsoever designated or levied.

    4.  Kin Foundation reserves the right, at any time, to exclude you from
        participation in the Kin Rewards Engine if you reside in
        jurisdictions where receipt of Kin or participation in the Kin
        ecosystem becomes illegal or in violation of applicable law.

    5.  You will execute any additional documentation required by the Kin
        Foundation in order to receive an award.

    6.  Kin has not been and will not be registered under the United States
        Securities Act of 1933, as amended (the "**Securities Ac**t"), or
        any United States state securities laws or the laws of any foreign
        jurisdiction. Kin Foundation makes no representations that any
        exchange will exist for the sale or conversion of Kin into any other
        cryptocurrency or fiat currency.

    7.  Kin is subject to a high degree of risk, volatility and illiquidity.
        You should make your own investigations and evaluations of Kin that
        will be delivered pursuant thereto. You should inform yourself as to
        the legal requirements applicable to you in respect of the
        acquisition, holding and disposition of Kin and Kin upon delivery,
        as to the income and other tax consequences to you of such
        acquisition, holding and disposition.

    8.  You are not to construe this SDK License as an investment, legal,
        tax, regulatory, financial, accounting or other advice, and this SDK
        License is not intended to provide the sole basis for any evaluation
        of Kin. Prior to receiving Kin, you should consult with your own
        legal, investment, tax, accounting, and other advisors to determine
        the potential benefits, burdens, and other consequences of such
        acquisition.

9. **Communications Not Confidential**

    We do not guarantee the confidentiality of any communications made by
    you through use of the Software, including in connection with
    interactions with the Kin Ecosystem. We can not, and do not, guarantee
    the security of data transmitted over the Internet or public networks in
    connection with your use of the Software.

10. **Warranty**

    You represent and warrant to, and covenant with us that, at all times,
    you will comply with: (a) this SDK License (including, for greater
    certainty, the Kin Ecosystem Developer Guidelines) using all due skill,
    care and diligence consistent with industry practice reasonably expected
    of application developers; and (b) all laws applicable to you and any
    Applications developed by or on behalf of you, including any applicable
    international, national, or local laws, statutes, rules and regulations
    regarding corruption, bribery, ethical business conduct, or money
    laundering.

11. **Disclaimers**

    THE LAWS OF CERTAIN JURISDICTIONS, INCLUDING QUEBEC, DO NOT ALLOW THE
    EXCLUSION OR LIMITATION OF LEGAL WARRANTIES, CONDITIONS OR
    REPRESENTATIONS. IF THESE LAWS APPLY TO YOU, SOME OR ALL OF THE
    EXCLUSIONS OR LIMITATIONS IN THIS SDK LICENSE (INCLUDING THE FOLLOWING
    DISCLAIMERS) MAY NOT APPLY AND YOU MAY HAVE ADDITIONAL RIGHTS.

    YOU ACKNOWLEDGE, UNDERSTAND, AND AGREE THAT THE SOFTWARE IS PROVIDED "AS
    IS" AND "AS AVAILABLE", WITH ALL FAULTS AND WITHOUT WARRANTIES OR
    CONDITIONS OF ANY KIND. TO THE FULLEST EXTENT PERMITTED BY APPLICABLE
    LAW, WE DISCLAIM ALL WARRANTIES, REPRESENTATIONS AND CONDITIONS OF ANY
    KIND WITH RESPECT TO THE SOFTWARE WHETHER EXPRESS, IMPLIED, STATUTORY OR
    COLLATERAL, INCLUDING, WITHOUT LIMITATION, THE WARRANTIES AND CONDITIONS
    OF MERCHANTABILITY, MERCHANTABLE QUALITY, COMPATIBILITY, TITLE,
    SECURITY, RELIABILITY, COMPLETENESS, QUIET ENJOYMENT, ACCURACY,
    RELIABILITY, CURRENCY, TIMELINESS, QUALITY, INTEGRATION, FITNESS FOR A
    PARTICULAR PURPOSE AND NON-INFRINGEMENT, OR ANY WARRANTIES OR CONDITIONS
    ARISING OUT OF COURSE OF DEALING OR USAGE OF TRADE, OR THAT THE SOFTWARE
    IS OR WILL BE ERROR-FREE OR WILL OPERATE WITHOUT INTERRUPTION.

    WITHOUT LIMITING THE FOREGOING, ANY COMMENTS, VIEWS OR OPINIONS
    EXPRESSED BY ANY KIN FOUNDATION PERSONNEL DO NOT NECESSARILY REFLECT THE
    OPINION OF THE KIN FOUNDATION AND NEITHER THE KIN FOUNDATION NOR ANY
    PERSON ACTING ON ITS BEHALF MAY BE HELD RESPONSIBLE FOR YOUR USE OF ANY
    OF INFORMATION, GUIDANCE, ADVICE, COMMENTS OR OPINION GIVEN AT: www.kin.org.

12. **Limitation of Liability**

    TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL WE
    BE LIABLE, WHETHER BASED ON WARRANTY, CONTRACT, TORT, NEGLIGENCE, STRICT
    LIABILITY OR ANY OTHER LEGAL THEORY, FOR ANY DAMAGES OF ANY KIND
    (INCLUDING, WITHOUT LIMITATION, DIRECT, INDIRECT, INCIDENTAL,
    CONSEQUENTIAL, SPECIAL, EXEMPLARY OR PUNITIVE DAMAGES, LOST PROFITS,
    LOSS OF USE, LOSS OF DATA, PERSONAL INJURY, FINES, FEES, PENALTIES OR
    OTHER LIABILITIES), WHETHER OR NOT WE WERE ADVISED OF THE POSSIBILITY OF
    SUCH DAMAGES, RESULTING FROM OR RELATED TO THIS SDK LICENSE.

13. **Indemnification**

    You will defend, indemnify and hold harmless us, our affiliates and all
    of our respective officers, directors, employees, representatives and
    agents from and against any claims, causes of action, demands,
    recoveries, losses, damages, fines, penalties, or other costs or
    expenses of any kind or nature including reasonable legal and accounting
    fees arising out of or in connection with:

    1.  any Applications developed by or on your behalf;

    2.  your breach of your representations or warranties described
        hereunder;

    3.  your violation of any applicable law or the rights of a third party,
        including:

        1.  any breach of applicable intellectual property laws or the
            intellectual property rights of any person;

        2.  any breach of applicable privacy laws or the privacy rights of any
            individual; or

        3.  any breach of security laws, including through misuse of Kin; or

    4.  any taxes imposed you, including timely payment and remittance of
        all such taxes;

    5.  your violation of any guidelines or terms governing your development
        and deployment of Applications on any third party application
        stores, including Google Play or the Apple Store; or

    6.  your use of the Software contrary to this SDK License or other
        instructional manuals, guidelines or documentation made available by
        us to you.

14. **Term and Termination; Survival**

    1.  This SDK License will commence on the day you first use the Software
        and will continue into force until terminated by either party (the
        "**Term**"). We may terminate this SDK License at any time for any
        reason including for breach of this SDK License, and with immediate
        effect by giving notice to you, at our discretion, by email (at your
        current email address on file with us) or posting our intent to
        terminate on our website (which you agree to check from time to
        time).

    2.  The following Sections, together with any other provision of this
        SDK License which expressly or by its nature survives termination or
        expiration, or which contemplates performance or observance
        subsequent to termination or expiration of this SDK License, will
        survive expiration or termination of this SDK License for any
        reason: 4 (Data You Upload to Us), 5 (Ownership), 8 (Kin Rewards
        Engine); 9(Communications Not Confidential), 10 (Warranty), 11
        (Disclaimers), 12 (Limitation of Liability), 13 (Indemnification),
        14 (Terms and Termination; Survival), 15 (General Provisions) and
        Appendix A (Software Contribution Terms).

15. **General Provisions**

    1.  __Choice of Law.__ Except as restricted by applicable law,
        this SDK License will be governed by the laws of the Province of
        Ontario and the federal laws of Canada applicable therein and such
        laws apply to your access to or use of the Software, notwithstanding
        your domicile, residency or physical location. You will only use the
        Software in jurisdictions where the Software may lawfully be used.
        Except as restricted by applicable law, you hereby consent to the
        exclusive jurisdiction and venue of courts in Toronto, Ontario,
        Canada in all disputes arising out of or relating to the use of the
        Software.

    2.  __Arbitration.__ Except as restricted by applicable law:

        1.  Except as described in Section 15.ii.a., 15.ii.b. and 15.ii.c.,
            any dispute or claim between you and us relating to or arising out
            of this SDK License will be referred to and determined exclusively
            through binding confidential arbitration conducted in Toronto,
            Ontario, Canada, unless you are a resident of the United States, in
            which case the arbitration will be held in a location within 100
            miles of your residence, unless the parties agree otherwise. The
            arbitration will be held on an individual basis, before a single
            arbitrator and in accordance with the applicable Ontario arbitration
            statute (the Arbitration Act, 1991, S.O. 1991, c.17, as amended, or
            the International Commercial Arbitration Act, R.S.O. 1990, c. I.9,
            as amended, or such other statute that may be enacted). The
            arbitration will not be open to the public or media and all evidence
            discovered or submitted is confidential and may not be publicly
            disclosed, except as needed to enforce an arbitral award.

        2.  Any claims or disputes where the total amount of the award sought is
            less than Ten Thousand U.S. Dollars (US \$10,000.00) may be resolved
            through binding non-appearance-based arbitration, at the option of
            the party seeking relief. For claims or disputes where the total
            amount of the award sought is Ten Thousand U.S. Dollars (US
            \$10,000.00) or more, the right to a hearing will be determined by
            the arbitration rules.

        3.  You and Kin Foundation may also take claims to small claims court in
            Toronto, Ontario, Canada if the dispute qualifies for hearing by
            that court.

        4.  BY YOUR USE OF THE SOFTWARE, YOU ARE GIVING UP YOUR RIGHT TO GO TO
            COURT TO ASSERT ANY CLAIMS, EXCEPT FOR MATTERS THAT MAY BE TAKEN TO
            SMALL CLAIMS COURT.

        5.  You and Kin Foundation also agree that: (i) you and the Kin
            Foundation will each pay such portion of the costs of the
            arbitration (which consists of each party's legal expenses, the fees
            and expenses of the arbitrator, and any other expenses related to
            the arbitration) as determined by the arbitrator; (ii) the
            arbitrator may, in making an award of costs, consider whether costs
            are prohibitive compared to litigating in a court, and may require
            Kin Foundation to pay a greater portion of the fees and expenses of
            the arbitrator, or the travel expenses of you or any witness, in
            which case Kin Foundation will pay as much of your arbitration costs
            as the arbitrator deems necessary to prevent such
            cost-prohibitiveness; (iii) the arbitrator will honor claims of
            privilege and privacy recognized at law; (iv) the arbitrator may
            award any individual relief or individual remedies that are
            permitted by applicable law; and (v) the arbitrator's award will be
            final and non-appealable, but may be enforced in any court of
            competent jurisdiction.

        6.  THE PARTIES HEREBY WAIVE THEIR CONSTITUTIONAL AND STATUTORY RIGHTS
            TO GO TO COURT AND HAVE A TRIAL IN FRONT OF A JUDGE OR A JURY,
            INSTEAD ELECTING THAT ALL CLAIMS AND DISPUTES WILL BE RESOLVED BY
            ARBITRATION UNDER THIS SDK LICENSE. ARBITRATION PROCEDURES ARE
            TYPICALLY MORE LIMITED, MORE EFFICIENT AND LESS COSTLY THAN RULES
            APPLICABLE IN COURT AND ARE SUBJECT TO VERY LIMITED REVIEW BY A
            COURT. IN THE EVENT ANY LITIGATION SHOULD ARISE BETWEEN YOU AND KIN
            FOUNDATION IN ANY STATE OR FEDERAL COURT IN A SUIT TO VACATE OR
            ENFORCE AN ARBITRATION AWARD OR OTHERWISE, YOU AND KIN FOUNDATION
            WAIVE ALL RIGHTS TO A JURY TRIAL, INSTEAD ELECTING THAT THE DISPUTE
            BE RESOLVED BY A JUDGE.

        7.  __CLASS ACTION WAIVER.__ THE ARBITRATION WILL BE CONDUCTED
            ON AN INDIVIDUAL BASIS AND NOT IN A CLASS, CONSOLIDATED OR
            REPRESENTATIVE ACTION. THE ARBITRATOR MAY NOT CONSOLIDATE MORE THAN
            ONE PERSON'S CLAIMS, MAY NOT OTHERWISE PRESIDE OVER ANY FORM OF A
            REPRESENTATIVE OR CLASS PROCEEDING, AND MAY NOT AWARD CLASS-WIDE
            RELIEF.

        8.  __Right to Opt Out.__ You have the right to opt out of
            this agreement to arbitrate by sending written notice of your
            decision to opt out, postmarked, to c/o 137 Glasgow Street, Suite
            525, Kitchener, Ontario, N2G 4X8. Your written notice must include
            your name, address and email address. If you send written notice,
            then the mandatory arbitration provisions in this SDK License will
            not apply to you or Kin Foundation. IF YOU DO NOT SEND THIS WRITTEN
            NOTICE, THEN YOU AGREE TO BE BOUND BY THE MANDATORY ARBITRATION
            PROVISIONS IN THIS SDK LICENSE.

    3.  __Entire Agreement.__ This SDK License constitute the
        entire agreement between you and us pertaining to the subject matter
        hereof and supersede all prior or contemporaneous communications and
        proposals, whether electronic, oral or written, between you and us
        with respect to the Software. A printed version of this SDK License
        and of any notice given in electronic form will be admissible in
        judicial or administrative proceedings based upon or relating to
        this SDK License to the same extent and subject to the same
        conditions as other business documents and records originally
        generated and maintained in printed form.

    4.  __Waiver.__ Our failure to insist upon or enforce strict
        performance of any provision of this SDK License will not be
        construed as a waiver of any provision or right. A waiver of any
        provision of this SDK License must be in writing and a waiver in one
        instance will not preclude enforcement of such provision on other
        occasions.

    5.  __Severable.__ If any of the provisions contained in this
        SDK License are determined to be void, invalid or otherwise
        unenforceable by a court of competent jurisdiction, such provision
        will be severed from this SDK License and all other provisions of
        this SDK License will remain in full force and effect.

    6.  __Assignment.__ You will not assign this SDK License to
        any third party without our prior written consent. We may assign
        this SDK License or any rights under this SDK License to any third
        party without your consent. Any assignment in violation of this
        Section will be void. The terms of this SDK License will be binding
        upon permitted assignees. This SDK License will inure to the benefit
        of and be binding upon the parties, their permitted successors and
        permitted assignees.

    7.  __Force Majeure.__ We will not be liable for delays caused
        by any event or circumstances beyond Kin Foundation's reasonable
        control, including acts of God, acts of government, flood, fire,
        earthquakes, civil unrest, acts of terror, strikes or other labour
        problems, Internet service failures or delays.

    8.  __English Language.__ It is the express wish of the
        parties that this SDK License and all related documents be drawn up
        in English. C'est la volonté expresse des parties que la présente
        convention ainsi que les documents qui s'y rattachent soient rédigés
        en anglais.

**Appendix A : Software Contribution Terms**

You accept and agree to the following terms and conditions for the
Contributions that you Submit to us. In return, we will consider your
Contributions for inclusion into products or projects managed by us (the
"**Materials**").

1.  **Definitions.**

    1.  "**Contribution**" means any work of authorship that is Submitted by
        you to us.

    2.  "**Copyright**" means all rights protecting works of authorship,
        including copyright, moral and neighboring rights, as appropriate,
        for the full term of their existence including any extensions.

    3.  "**Submit**" means any form of electronic, verbal, or written
        communication sent to us or our representatives, including but not
        limited to electronic mailing lists, source code control systems,
        and issue tracking systems that are managed by, or on behalf of, us,
        but excluding communication that is conspicuously marked or
        otherwise designated in writing by you as "Not a Contribution", and
        "**Submits**", "**Submitted**" and "**Submission**" have
        corresponding meanings.

2.  **Grant of Rights.**

    1.  **Intellectual Property Assignment.**

        1.  At the time the Contribution is Submitted, you hereby assign to us
            all right, title, and interest worldwide, without limitation in
            time, in and to the Contribution including all intellectual property
            rights (other than patents) therein (including, copyright, trade
            secret rights, all other proprietary rights, the right to file
            applications for registration of such rights anywhere in the world,
            and the assignment and transfer of any accrued causes of actions
            related to such rights anywhere in the world).

        2.  To the extent that any of the rights in Section 2.i.a. cannot be
            assigned by you to us, you grant to us a perpetual, worldwide,
            exclusive, royalty-free, transferable, irrevocable license under
            such non-assigned rights, with rights to sublicense through multiple
            tiers of sublicensees, to practice such non-assigned rights,
            including, but not limited to, the right to publish, adapt,
            translate, create derivative works from, reproduce, modify, display,
            perform and distribute the Contribution.

        3.  Upon the assignment of rights to us pursuant to Section 2.i.a., to
            the maximum extent permitted by applicable law, we immediately grant
            to you, on an "as-is" basis, a perpetual, worldwide, non-exclusive,
            royalty-free, transferable, irrevocable license under such rights
            covering the Contribution, with rights to sublicense through
            multiple tiers of sublicensees to publish, adapt, translate, create
            derivative works from, reproduce, modify, display, perform, and
            distribute the Contribution.

    2.  **Patent License.** For patent claims in respect of the Contribution
        including, without limitation, method, process, and apparatus claims
        which you own, control or have the right to grant, now or in the
        future, you grant to us a perpetual, worldwide, non-exclusive,
        transferable, royalty-free, irrevocable patent license, with the
        right to sublicense these rights to multiple tiers of sublicensees,
        to make, have made, use, sell, offer for sale, import and otherwise
        transfer the Contribution, whether alone or in combination with the
        Materials (whether in whole or in part).

    3.  **Waiver and Non-Assert.** To the extent that any of the rights in
        Sections 2.i.a., 2.i.b., or 2.ii. can neither be assigned nor
        licensed by you to us and to the extent that any moral rights exist
        in respect of the Contribution:

        1.  You hereby irrevocably waive such rights, including as against us,
            any of our successors in interest, or any of our licensees, either
            direct or indirect;

        2.  You will not assert such rights, including as against us, any of our
            successors in interest, or any of our licensees, either direct or
            indirect; and

        3.  You will cause your employees and independent contractors, as
            applicable, that have contributed to the Contribution to waive such
            rights and not assert such rights, including as against us, any of
            our successors in interest, or any of our licensees, either direct
            or indirect.

    4.  **Confirmation of Rights.** you will (and will cause your employees
        and independent contractors, as applicable, to) do such things and
        execute such documents as may be necessary to vest in our name all
        intellectual property rights worldwide in the Contribution, for
        registration of such rights worldwide and to confirm or evidence the
        waiver of all moral rights therein.

    5.  **Our Rights.** you acknowledge that we are not obligated to use
        your Contribution as part of the Materials and may decide to include
        any Contribution we consider appropriate.

    6.  **Reservation of Rights.** Any rights not expressly assigned or
        licensed under this Section 2 are expressly reserved.

3.  **Representations, Warranties, and Covenants**

    You represent, warrant, and covenant that:

    1.  the Contributions are original works of authorship and do not
        infringe the intellectual property or other rights of any person;

    2.  you own and control all intellectual property rights in and to the
        Contributions and have all power and authority to assign and
        license, as applicable, such rights to us pursuant to this Appendix
        A; and

    3.  the Submissions by you of the Contributions pursuant to this
        Appendix A are in compliance with all applicable laws, including
        export and import laws.
